hadoop common 与 servlet 3冲突
hadoop common 与 servlet 3冲突
健哥大人 发表于2年前
hadoop common 与 servlet 3冲突
  • 发表于 2年前
  • 阅读 221
  • 收藏 0
  • 点赞 0
  • 评论 0
摘要: hadoop common 依赖了 servlet-api 2.5 和 tomcat:jasper-compiler(runtime)
<dependency>
          <groupId>org.apache.hadoop</groupId>
          <artifactId>hadoop-common</artifactId>
          <version>2.0.0-cdh4.2.0</version>
          <exclusions>
              <exclusion>
                  <groupId>javax.servlet</groupId>
                  <artifactId>servlet-api</artifactId>
              </exclusion>
              <exclusion>
                  <groupId>tomcat</groupId>
                  <artifactId>jasper-compiler</artifactId>
              </exclusion>
          </exclusions>

 </dependency>


表现出来的错误是

java.lang.NoSuchMethodError: org.eclipse.jdt.internal.compiler.CompilationResult.getProblems()

共有 人打赏支持
粉丝 18
博文 76
码字总数 10692
×
健哥大人
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: